package es.verdnatura.presentation.view.feature.workermistake.model


class MistakeType(
    var code: String = "",
    var description: String = "",
    var isError: Boolean = false,
    var errorMessage: String = ""
)

class ExpeditionMistakeSalix(
    var expeditionFk: Int,
    var typeFk: String,
    var workerFk: Int

)

class DepartmentMistake(

    var id: Int? = null,
    var name: String = "",
    var isError: Boolean = false,
    var errorMessage: String = ""
)

class WorkerFromMistake(

    var id: Int? = null,
    var firstName: String = "",
    var lastName: String = "",
    var isError: Boolean = false,
    var errorMessage: String = ""
)

class WorkerMistakeSalix(
    var userFk: Int,
    var workerMistakeTypeFk: String,
)

class SaleMistakeSalix(
    var userFk: Number,
    var typeFk: Number,
    var saleFk :Number
)
class workerMistakeTypeList(
    var list: List<MistakeType> = listOf()
)

class departmentMistakeList(
    var list: List<DepartmentMistake> = listOf()
)

class workerFromMistakeList(
    var list: List<WorkerFromMistake> = listOf()
)


